#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	int a = 77;
	unsigned int b = 77U;

	long c = 77L;
	unsigned long d = 77UL;

	short e = 77;
	unsigned short f = 77;

	long long g = 77LL;
	unsigned long long h = 77ULL;

	float i = 77.0f;
	double j = 77.0;
	long double k = 77.0L;

	printf("%d %u %ld %lu %hd %hu %lld %llu %f %lf %Lf\n", a, b, c, d, e, f, g, h, i, j, k);

	return EXIT_SUCCESS;
}

